26 Aug '14, 9am

#tech Ruby 2.2.0 で動かない gem リスト 8 月版 - HsbtDiary: 8月時点でも Ruby 2.2.0 で rails アプリケーションを普通に動かそうとした時にはまる gem を紹介する. c..

■ Ruby 2.2.0 で動かない gem リスト 8 月版 8月時点でも Ruby 2.2.0 で rails アプリケーションを普通に動かそうとした時にはまる gem を紹介する. curb rb_thread_blockin_region が亡くなった影響でビルドできない 0.8.6 なら @hsbt が Ruby 2.2.0 に対応したパッチが取り込まれているので動く ただし 0.8.6 は CentOS 5 系では libcurl のバージョンが古くてビルドできない問題があるので 0.8.7 のリリースを待ちましょう safe_yaml Psych::EngineManager が亡くなった影響で syck 用の処理に入ってしまい動かない master の HEAD だと直っているのでリリース待ち webmock が依存する crack が依存しているので、直接使っていなくても影響範囲は大きいので面倒 eventmachine rb_thread_blocking_region が無くなった影響でビルドできない master の HEAD では @hsbt が出したパッチで直っているのでリリース待ち 3月に取り込まれたのに未だにリリースされなくて辛い このまま予定通り 2.2.0 がリリースされると上記の gem は動かなくなる. 動くように直すパッチも送ったし、取り込まれているのにリリースされないというのはどうしようもないので死ぬしか無い. 他にも 2.2.0 で動かない gem があったら直すので教えてください.

Full article: http://www.hsbt.org/diary/20140826.html#p01

Tweets

Which of the 8 types of intelligence do you have?

mnn.com 28 Aug '14, 7pm

This is where Dr. Howard Gardner, a psychologist and professor of neuroscience from Harvard University, was going when he ...

ジョジョにやっていこう! / “Railsをバージョンアップし続けるために必要なこと - Qi...

qiita.com 28 Aug '14, 12am

Sign up for free and join this conversation. Sign Up If you already have a Qiita account log in.